clear
set more off


* Writing subroutine to plot selection functions and ratios of inputs to outputs for all derounded and unweighted test statistics
*********************************************************************************************************************************
capture : program drop graph_selfunction
program define graph_selfunction
local a =  regexr("`1'","yf_","")
local b =  substr("`1'",-1,1)
summ `1' if  x < 9
local c = round(r(max)) + 1
	if "`b'" == "r"{
	local w = "real"
	local w1 = "eal" // These features are to finish off file names.
	}
	if "`b'" == "s"{
	local w = "student"
	local w1 ="tudent"
	}
	if "`b'" == "p"{
	local w = "psid"
	local w1 = "sid"
	}
	if "`b'" == "v"{
	local w = "vhlss"
	local w1 = "hlss"
	}
	if "`b'" == "q"{
	local w = "qog"
	local w1 = "og"
	}
	if "`b'" == "c"{
	local w = "cauchy_15"
	local w1 ="auchy_15"
	}
	if "`b'" == "t"{
	local w = "cauchy_2"
	local w1 ="cauchy_2" //I change formats for this and the next one because these parts were a programatic afterthought
	}
	if "`b'" == "h"{
	local w = "cSmooth"
	local w1 ="cSmooth"
	}
#delimit ;
twoway scatter R_`a' x [w=`w'] if x < 9 & R_`a'<`c' , mlwidth(vvthin) mlcolor(black) msize(tiny) msymbol(smcircle_hollow) || ///
		line `1' x if x < 9, lcolor(black) || ///
		line S_`a' x if x < 9, yaxis(2) lcolor(black) lpattern(dash) lwidth(medthick)
		xlabel(1.96 "1.96" 9 "9") 
scale(1.5)
ytitle("Scaled probability", axis(1))
ytitle("Cum. excess probability", axis(2))   
ylabel(-0.06(0.03)0.06, axis(2) nogrid angle(0))  
ylabel(0(1)`c', axis(1) nogrid angle(0))  
xtitle("|z-score|") 
bgcolor("white") graphregion(color(white))
legend(col(1) order(2 "Shape of P[diss.|z] (LHS)" 3 "Unexplained P[z|diss.] (RHS)")) //pos(1) region(lstyle(none) lcolor(white))
;
#delimit cr
local c = regexr("`a'","obs_","")
if "`b'" == "h" {
local c = regexr("`c'","_h","_")
}
if "`b'" == "t" {
local c = substr("`c'",1,length("`c'")-1)
}
graph export "Figures\selparam_`c'`w1'.eps", replace
graph export "Figures\selparam_`c'`w1'.png", replace
end
*Notes: takes one argument, in string format, which is typically called yf_ETC


* Pulling data from 5_2_estimation_param.do and plotting the selection charts for all derounded and unweighted test statistics
******************************************************************************************************************************
use "Data/Temp/parametric_estimation", clear

foreach var of varlist yf_obs_cb_c yf_obs_cb_r yf_obs_cb_v yf_obs_cb_q yf_obs_control_t yf_obs_control_c yf_obs_control_r yf_obs_control_v yf_obs_control_q{
graph_selfunction `var'
}